Skip to main content

Documentation Index

Fetch the complete documentation index at: https://mintlify.com/zitadel/zitadel/llms.txt

Use this file to discover all available pages before exploring further.

Endpoint

POST /v2/projects/_search

Description

List all matching projects. By default, all projects of the instance that the caller has permission to read are returned. Make sure to include a limit and sorting for pagination.

Required Permission

  • project.read

Request Body

pagination
object
Pagination settings.
offset
string
Offset for pagination.
limit
integer
Maximum number of results.
asc
boolean
Sort ascending.
sortingColumn
string
Field to sort by. The default is the creation date.Options:
  • PROJECT_FIELD_NAME_NAME
  • PROJECT_FIELD_NAME_CREATION_DATE
  • PROJECT_FIELD_NAME_CHANGE_DATE
filters
array
Criteria to query for.
nameFilter
object
Filter by project name.
name
string
Name to search for.
method
string
Search method.
projectIdFilter
object
Filter by project ID.
projectId
string
Project ID to filter by.
organizationIdFilter
object
Filter by organization.
organizationId
string
Organization ID to filter by.

Response

pagination
object
Pagination information.
totalResult
string
Total number of projects matching the query.
projects
array
List of projects matching the query.
projectId
string
Unique identifier of the project.
name
string
Name of the project.
state
string
Current state of the project.
resourceOwner
string
Organization ID that owns the project.
projectRoleAssertion
boolean
Whether role assertion is enabled.
authorizationRequired
boolean
Whether authorization is required.
projectAccessRequired
boolean
Whether project access is required.

Example Request

curl -X POST https://your-domain.zitadel.cloud/v2/projects/_search \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "pagination": {
      "limit": 50,
      "asc": true
    },
    "sortingColumn": "PROJECT_FIELD_NAME_NAME",
    "filters": [
      {
        "organizationIdFilter": {
          "organizationId": "69629026806489455"
        }
      }
    ]
  }'

Example Response

{
  "pagination": {
    "totalResult": "15"
  },
  "projects": [
    {
      "projectId": "69629012906488334",
      "name": "My Application Project",
      "state": "PROJECT_STATE_ACTIVE",
      "resourceOwner": "69629026806489455",
      "projectRoleAssertion": true,
      "authorizationRequired": false,
      "projectAccessRequired": true
    }
  ]
}

Error Responses

  • 400 Bad Request - Invalid list query
  • 403 Forbidden - Insufficient permissions